when HTTP_REQUEST {
  set uri [string tolower [HTTP::uri]]
  if { not (($uri ne "/favicon.ico") or [string match apple-touch-icon*.png $uri]) } {
    HTTP::uri /index.php?p=[string range $uri 1 end]
  }
}